src/base/cs_selector.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_selector.h File Reference
`#include "cs_base.h"`
Include dependency graph for cs_selector.h:

Go to the source code of this file.

## Functions
void | csgfbr (const char *const fstr, cs_int_t *const len, cs_int_t *const n_faces, cs_int_t *const face_listCS_ARGF_SUPP_CHAINE)
void | csgfac (const char *const fstr, cs_int_t *const len, cs_int_t *const n_faces, cs_int_t *const face_listCS_ARGF_SUPP_CHAINE)
void | csgcel (const char *const fstr, cs_int_t *const len, cs_int_t *const n_cells, cs_int_t *const cell_listCS_ARGF_SUPP_CHAINE)
void | csgceb (const char *const fstr, cs_int_t *const len, cs_int_t *const n_i_faces, cs_int_t *const n_b_faces, cs_int_t *const i_face_list, cs_int_t *const b_face_listCS_ARGF_SUPP_CHAINE)
void | getfpe (cs_int_t *const perio_num, cs_int_t *const n_faces, cs_int_t *const face_listCS_ARGF_SUPP_CHAINE)
void | csgfam (const char *const fstr, cs_int_t *const len, cs_int_t *const n_families, cs_int_t *const family_listCS_ARGF_SUPP_CHAINE)
void | cs_selector_get_b_face_list (const char *criteria, cs_lnum_t *n_b_faces, cs_lnum_t b_face_list[])
void | cs_selector_get_i_face_list (const char *criteria, cs_lnum_t *n_i_faces, cs_lnum_t i_face_list[])
void | cs_selector_get_cell_list (const char *criteria, cs_lnum_t *n_cells, cs_lnum_t cell_list[])
void | cs_selector_get_cells_boundary (const char *criteria, cs_lnum_t *n_i_faces, cs_lnum_t *n_b_faces, cs_lnum_t i_face_list[], cs_lnum_t b_face_list[])
void | cs_selector_get_perio_face_list (int perio_num, cs_lnum_t *n_i_faces, cs_lnum_t i_face_list[])
void | cs_selector_get_family_list (const char *criteria, cs_lnum_t *n_families, cs_int_t family_list[])

## Function Documentation

void cs_selector_get_b_face_list | ( | const char * | criteria,
|  | cs_lnum_t * | n_b_faces,
|  | cs_lnum_t | b_face_list[]
| ) |  |

void cs_selector_get_cell_list | ( | const char * | criteria,
|  | cs_lnum_t * | n_cells,
|  | cs_lnum_t | cell_list[]
| ) |  |

void cs_selector_get_cells_boundary | ( | const char * | criteria,
|  | cs_lnum_t * | n_i_faces,
|  | cs_lnum_t * | n_b_faces,
|  | cs_lnum_t | i_face_list[],
|  | cs_lnum_t | b_face_list[]
| ) |  |

void cs_selector_get_family_list | ( | const char * | criteria,
|  | cs_lnum_t * | n_families,
|  | cs_int_t | family_list[]
| ) |  |

void cs_selector_get_i_face_list | ( | const char * | criteria,
|  | cs_lnum_t * | n_i_faces,
|  | cs_lnum_t | i_face_list[]
| ) |  |

void cs_selector_get_perio_face_list | ( | int | perio_num,
|  | cs_lnum_t * | n_i_faces,
|  | cs_lnum_t | i_face_list[]
| ) |  |

void csgceb | ( | const char *const | fstr,
|  | cs_int_t *const | len,
|  | cs_int_t *const | n_i_faces,
|  | cs_int_t *const | n_b_faces,
|  | cs_int_t *const | i_face_list,
|  | cs_int_t *const | b_face_listCS_ARGF_SUPP_CHAINE
| ) |  |

void csgcel | ( | const char *const | fstr,
|  | cs_int_t *const | len,
|  | cs_int_t *const | n_cells,
|  | cs_int_t *const | cell_listCS_ARGF_SUPP_CHAINE
| ) |  |

void csgfac | ( | const char *const | fstr,
|  | cs_int_t *const | len,
|  | cs_int_t *const | n_faces,
|  | cs_int_t *const | face_listCS_ARGF_SUPP_CHAINE
| ) |  |

void csgfam | ( | const char *const | fstr,
|  | cs_int_t *const | len,
|  | cs_int_t *const | n_families,
|  | cs_int_t *const | family_listCS_ARGF_SUPP_CHAINE
| ) |  |

void csgfbr | ( | const char *const | fstr,
|  | cs_int_t *const | len,
|  | cs_int_t *const | n_faces,
|  | cs_int_t *const | face_listCS_ARGF_SUPP_CHAINE
| ) |  |

void getfpe | ( | cs_int_t *const | perio_num,
|  | cs_int_t *const | n_faces,
|  | cs_int_t *const | face_listCS_ARGF_SUPP_CHAINE
| ) |  |